POST api/News/DeleteComment
Request Information
URI Parameters
None.
Body Parameters
NewsDeleteCommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| newsId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"newsId": 1,
"commentGuid": "3377c1c9-de79-4665-afda-3c3702254acf",
"accountGuid": "39bc7585-a863-46de-b7bd-556f7de01447"
}
text/plain, application/octet-stream
Sample:
{"newsId":1,"commentGuid":"3377c1c9-de79-4665-afda-3c3702254acf","accountGuid":"39bc7585-a863-46de-b7bd-556f7de01447"}
application/xml, text/xml
Sample:
<NewsDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountGuid>39bc7585-a863-46de-b7bd-556f7de01447</accountGuid> <commentGuid>3377c1c9-de79-4665-afda-3c3702254acf</commentGuid> <newsId>1</newsId> </NewsDeleteCommentModel>
multipart/form-data, application/form-data
Sample:
<NewsDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>39bc7585-a863-46de-b7bd-556f7de01447</accountGuid><commentGuid>3377c1c9-de79-4665-afda-3c3702254acf</commentGuid><newsId>1</newsId></NewsDeleteCommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.